Package org.openjump.core.ui.plugin.datastore.ocient

# Class OcientValueConverterFactory

java.lang.Object
com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesValueConverterFactory
org.openjump.core.ui.plugin.datastore.ocient.OcientValueConverterFactory

    public class OcientValueConverterFactory
    extends com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesValueConverterFactory

Factory to convert Ocient geometric data type.

## Field Summary

### Fields inherited from class com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesValueConverterFactory

`conn, WKB_GEOMETRY_MAPPER, WKB_OBJECT_MAPPER, wkbReader, WKT_GEOMETRY_MAPPER, wktReader`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`OcientValueConverterFactory​(Connection conn)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`com.vividsolutions.jump.datastore.jdbc.ValueConverter` | `getConverter​(ResultSetMetaData rsm, int columnIndex)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OcientValueConverterFactory

public OcientValueConverterFactory​(Connection conn)

## Method Details

### getConverter

public com.vividsolutions.jump.datastore.jdbc.ValueConverter getConverter​(ResultSetMetaData rsm, int columnIndex) throws SQLException

Overrides:
  `getConverter` in class `com.vividsolutions.jump.datastore.spatialdatabases.SpatialDatabasesValueConverterFactory`
Throws:
  `SQLException`